package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基本考核答案对象 applet_answer
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public class AppletAnswer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 答案内容 */
    @Excel(name = "答案内容")
    private String title;

    /** 是否正确答案 */
    @Excel(name = "是否正确答案")
    private Integer isTrue;

    /** 排序编号 */
    @Excel(name = "排序编号")
    private Long orderNo;

    /** 关联题目ID */
    @Excel(name = "关联题目ID")
    private Long questionId;

    /** 删除标识 */
    private Integer delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setIsTrue(Integer isTrue) 
    {
        this.isTrue = isTrue;
    }

    public Integer getIsTrue() 
    {
        return isTrue;
    }
    public void setOrderNo(Long orderNo) 
    {
        this.orderNo = orderNo;
    }

    public Long getOrderNo() 
    {
        return orderNo;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("isTrue", getIsTrue())
            .append("orderNo", getOrderNo())
            .append("questionId", getQuestionId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
